<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Alter the entity InputData.
        Set columns to NOT NULL : variable_id, period_id, period_version_id, source_unit_id, unit_id, owner_id
    -->
    <changeSet id="20241101142307-1" author="omg">
		<addNotNullConstraint tableName="input_data" columnDataType = "bigint" columnName="variable_id" />
		<addNotNullConstraint tableName="input_data" columnDataType = "bigint" columnName="period_id" />
		<addNotNullConstraint tableName="input_data" columnDataType = "bigint" columnName="period_version_id" />
		<addNotNullConstraint tableName="input_data" columnDataType = "bigint" columnName="source_unit_id" />
		<addNotNullConstraint tableName="input_data" columnDataType = "bigint" columnName="unit_id" />
		<addNotNullConstraint tableName="input_data" columnDataType = "bigint" columnName="owner_id" />
    </changeSet>
    
    
</databaseChangeLog>
